	.file	"help.cpp"
	.text
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	"Fly Simulator Version 3.53.8 "
	.text
	.align 2
	.globl	_ZN4HELP7versionEv
	.type	_ZN4HELP7versionEv, @function
_ZN4HELP7versionEv:
.LFB1593:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movl	$29, %edx
	movl	$.LC0, %esi
	movl	$_ZSt4cout, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cout(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cout+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L5
	cmpb	$0, 56(%rbx)
	je	.L3
	movzbl	67(%rbx), %esi
.L4:
	movsbl	%sil, %esi
	movl	$_ZSt4cout, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movq	-8(%rbp), %rbx
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L5:
	.cfi_restore_state
	call	_ZSt16__throw_bad_castv
.L3:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L4
	.cfi_endproc
.LFE1593:
	.size	_ZN4HELP7versionEv, .-_ZN4HELP7versionEv
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC1:
	.string	"usage: flysimu [ -F ][ -W ][ -G ][ -S ][ -C ][ -h ][ -v ] "
	.align 8
.LC2:
	.ascii	"usage: flysimu [ -F ][ -W ][ -G ][ -S ][ -C ][ -h ][ -v ]\n\n"
	.ascii	"               -F   "
	.string	"       Fullscreen\n               -W          Window\n               -G          Grid\n               -S          Server\n               -C          Client\n\n               -h          Display the Help Messages\n               -v          Fly Simulator Version \n"
	.text
	.align 2
	.globl	_ZN4HELP4DeskEi
	.type	_ZN4HELP4DeskEi, @function
_ZN4HELP4DeskEi:
.LFB1594:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$8, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	cmpl	$1, %esi
	je	.L7
	cmpl	$2, %esi
	je	.L8
.L6:
	movq	-8(%rbp), %rbx
	leave
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L7:
	.cfi_restore_state
	movl	$58, %edx
	movl	$.LC1, %esi
	movl	$_ZSt4cout, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cout(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cout+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L16
	cmpb	$0, 56(%rbx)
	je	.L11
	movzbl	67(%rbx), %esi
.L12:
	movsbl	%sil, %esi
	movl	$_ZSt4cout, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	jmp	.L6
.L16:
	call	_ZSt16__throw_bad_castv
.L11:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L12
.L8:
	movl	$335, %edx
	movl	$.LC2, %esi
	movl	$_ZSt4cout, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cout(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cout+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L17
	cmpb	$0, 56(%rbx)
	je	.L14
	movzbl	67(%rbx), %esi
.L15:
	movsbl	%sil, %esi
	movl	$_ZSt4cout, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	jmp	.L6
.L17:
	call	_ZSt16__throw_bad_castv
.L14:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L15
	.cfi_endproc
.LFE1594:
	.size	_ZN4HELP4DeskEi, .-_ZN4HELP4DeskEi
	.type	_GLOBAL__sub_I__ZN4HELP7versionEv, @function
_GLOBAL__sub_I__ZN4HELP7versionEv:
.LFB1942:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$_ZStL8__ioinit, %edi
	call	_ZNSt8ios_base4InitC1Ev
	movl	$__dso_handle, %edx
	movl	$_ZStL8__ioinit, %esi
	movl	$_ZNSt8ios_base4InitD1Ev, %edi
	call	__cxa_atexit
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE1942:
	.size	_GLOBAL__sub_I__ZN4HELP7versionEv, .-_GLOBAL__sub_I__ZN4HELP7versionEv
	.section	.init_array,"aw"
	.align 8
	.quad	_GLOBAL__sub_I__ZN4HELP7versionEv
	.local	_ZStL8__ioinit
	.comm	_ZStL8__ioinit,1,1
	.hidden	__dso_handle
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
